aboutsummaryrefslogtreecommitdiffstats
path: root/build-aux/build-windows.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/build-windows.sh')
-rwxr-xr-xbuild-aux/build-windows.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build-aux/build-windows.sh b/build-aux/build-windows.sh
new file mode 100755
index 0000000..3ed6b59
--- /dev/null
+++ b/build-aux/build-windows.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -ex
+
+PN="$(grep PACKAGE_TARNAME config.h | cut -d\" -f2)"
+PV="$(grep PACKAGE_VERSION config.h | cut -d\" -f2)"
+DEST_DIR="${PN}-${TARGET}-${PV}"
+
+${MAKE_CMD:-make} blogc.exe
+
+rm -rf "${DEST_DIR}"
+mkdir -p "${DEST_DIR}"
+
+cp .libs/blogc.exe "${DEST_DIR}/"
+cp ../LICENSE "${DEST_DIR}/"
+cp ../README.md "${DEST_DIR}/"
+
+zip "${DEST_DIR}.zip" "${DEST_DIR}"/*